edu.ucsb.nceas.protocols.metacat

## Class MetacatURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - edu.ucsb.nceas.protocols.metacat.MetacatURLConnection

-     public class MetacatURLConnection
      extends java.net.URLConnection

  Handle requests for metacat scheme URLs

- - ### Field Summary

    - ### Fields inherited from class java.net.URLConnection

      `allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetacatURLConnection(java.net.URL u)` Construct a new metacat scheme URL connection

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect()` Make a connection to the URL
    `void` | `setRequestHeader(java.lang.String name, java.lang.String value)` Set the request header for the URL

    - ### Methods inherited from class java.net.URLConnection

      `addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getInputStream, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetacatURLConnection

          public MetacatURLConnection(java.net.URL u)

      Construct a new metacat scheme URL connection
      Parameters:
        `u` - the URL to which to connect

  - ### Method Detail

    - #### setRequestHeader

          public void setRequestHeader(java.lang.String name,
                                       java.lang.String value)

      Set the request header for the URL

    - #### connect

          public void connect()
                       throws java.io.IOException

      Make a connection to the URL
      Specified by:
        `connect` in class `java.net.URLConnection`
      Throws:
        `java.io.IOException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.